function grayconversion(img_colr_name,img_gray_name)

input = imread(img_colr_name);
if     isa(input,'uint8' ), img_in = double(input)/255;
elseif isa(input,'uint16'), img_in = double(input)/65535;
else error(...
 'BFreg_fast_regbygrad: error while loading image (not uint8 nor uint16)');
end
if size(input,3)>1, img_in = sum(img_in,3)/size(input,3);
end

imwrite(uint8(255*img_in),img_gray_name);
end